---
title: llarp::ExitInfo
summary: deprecated don't use me , this is only for backwards compat 

---

# llarp::ExitInfo



deprecated don't use me , this is only for backwards compat 


`#include <exit_info.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ExitInfo](Classes/structllarp_1_1ExitInfo.md#function-exitinfo)**() =default |
| | **[ExitInfo](Classes/structllarp_1_1ExitInfo.md#function-exitinfo)**(const [PubKey](Classes/structllarp_1_1PubKey.md) & pk, const [IpAddress](Classes/structllarp_1_1IpAddress.md) & address) |
| bool | **[BEncode](Classes/structllarp_1_1ExitInfo.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const |
| bool | **[BDecode](Classes/structllarp_1_1ExitInfo.md#function-bdecode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| bool | **[DecodeKey](Classes/structllarp_1_1ExitInfo.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & k, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) |
| std::string | **[ToString](Classes/structllarp_1_1ExitInfo.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [IpAddress](Classes/structllarp_1_1IpAddress.md) | **[ipAddress](Classes/structllarp_1_1ExitInfo.md#variable-ipaddress)**  |
| [IpAddress](Classes/structllarp_1_1IpAddress.md) | **[netmask](Classes/structllarp_1_1ExitInfo.md#variable-netmask)**  |
| [PubKey](Classes/structllarp_1_1PubKey.md) | **[pubkey](Classes/structllarp_1_1ExitInfo.md#variable-pubkey)**  |
| uint64_t | **[version](Classes/structllarp_1_1ExitInfo.md#variable-version)**  |

## Public Functions Documentation

### function ExitInfo

```cpp
ExitInfo() =default
```


### function ExitInfo

```cpp
inline ExitInfo(
    const PubKey & pk,
    const IpAddress & address
)
```


### function BEncode

```cpp
bool BEncode(
    llarp_buffer_t * buf
) const
```


### function BDecode

```cpp
inline bool BDecode(
    llarp_buffer_t * buf
)
```


### function DecodeKey

```cpp
bool DecodeKey(
    const llarp_buffer_t & k,
    llarp_buffer_t * buf
)
```


### function ToString

```cpp
std::string ToString() const
```


## Public Attributes Documentation

### variable ipAddress

```cpp
IpAddress ipAddress;
```


### variable netmask

```cpp
IpAddress netmask;
```


### variable pubkey

```cpp
PubKey pubkey;
```


### variable version

```cpp
uint64_t version = llarp::constants::proto_version;
```


-------------------------------

Updated on 2022-08-30 at 18:09:26 +0000